MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026498Community[OCCT] OCCT:Modeling Algorithmspublic2015-07-30 10:352016-04-17 14:55
Reportermat127 
Assigned Toski 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
Platformx86_64OSLinux Fedora CoreOS Version21
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026498: BRepOffsetAPI_MakeOffset causes segmentation fault
DescriptionBRepOffsetAPI_MakeOffset crashes on simple open polygon - see steps to reproduce. The BRepOffsetAPI_MakeOffset::Perform() call leads to the segmentation fault.
Steps To ReproduceBRepBuilderAPI_MakePolygon polygon;
polygon.Add(gp_Pnt(0.0,0.0,0.0));
polygon.Add(gp_Pnt(0.2, 0.0, 0.0));
polygon.Add(gp_Pnt(0.2, 0.2, 0.0));
polygon.Add(gp_Pnt(0.4, 0.2, 0.0));
polygon.Add(gp_Pnt(0.4, 0.4, 0.0));
polygon.Add(gp_Pnt(-0.06, 0.57, 0.0));
TopoDS_Wire wire = polygon.Wire();
BRepTools::Write(wire, "original.brep");

BRepOffsetAPI_MakeOffset builder(wire, GeomAbs_Intersection, true);
builder.Perform(-0.2, 0.0); // segmentation fault
TopoDS_Shape offset = builder.Shape();
BRepTools::Write(offset, "offset.brep");


#Draw script:
polyline w 0 0 0 0.2 0 0 0.2 0.2 0 0.4 0.2 0 0.4 0.4 0 -0.06 0.57 0
openoffset r w 1 -0.2 i
checkshape r_1

#Checkshape output:
On Shape faulty_1 :
BRepCheck_InvalidRange

Faulty shapes in variables faulty_1 to faulty_1
TagsNo tags attached.
Test case numberbugs modalg_6 bug26498
Attached Files? file icon original.brep (935 bytes) 2015-07-30 10:35

- Relationships

-  Notes
(0043696)
msv (developer)
2015-07-30 12:33

I could not reproduce exception in the current master version.
The draw script to reproduce:

polyline w 0 0 0 0.2 0 0 0.2 0.2 0 0.4 0.2 0 0.4 0.4 0 -0.06 0.57 0
openoffset r w 1 -0.2 i
checkshape r_1

However, checkshape gives an error BRepCheck_InvalidRange. It is not good and must be fixed.
(0043950)
git (administrator)
2015-08-10 17:57

Branch CR26498 has been created by isn.

SHA-1: 7a79a053ab64056ef9cc45f19b5376d9b726b63d


Detailed log of new commits:

Author: isn
Date: Mon Aug 10 17:56:58 2015 +0300

    0026498: BRepOffsetAPI_MakeOffset :: incorrect result of offset
(0044568)
isn (developer)
2015-08-24 18:05

dear jgv,
please review branch CR26498
(0044569)
jgv (developer)
2015-08-24 18:10

Reviewed.
(0044572)
git (administrator)
2015-08-24 18:33

Branch CR26498 has been updated forcibly by mkv.

SHA-1: 6933e170be8c462cd99c2cad8f17f442c7d621c6
(0044603)
mkv (tester)
2015-08-25 15:14

Dear BugMaster,
Branch CR26498 was rebased on current master of occt git-repository.
SHA-1: 6933e170be8c462cd99c2cad8f17f442c7d621c6
(0044604)
mkv (tester)
2015-08-25 15:14

Dear BugMaster,
Branch CR26498 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6933e170be8c462cd99c2cad8f17f442c7d621c6

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26498-master-occt-64/Debian70-64/bugs/modalg_6/bug26498.html [^]
http://occt-tests/CR26498-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26498.html [^]
bugs modalg_6 bug26498: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91403960 / 91597648 [-0.21%]
Total CPU difference: 17811.229999999057 / 17713.58999999894 [+0.55%]
products component :
Total MEMORY difference: 25108035 / 25123208 [-0.06%]
Total CPU difference: 7047.529999999999 / 7008.090000000001 [+0.56%]

Testing on Windows:
occt component :
Total MEMORY difference: 57063618 / 57056005 [+0.01%]
Total CPU difference: 16406.11036669904 / 16696.693429399114 [-1.74%]
products component :
Total MEMORY difference: 16120026 / 16119994 [+0.00%]
Total CPU difference: 5146.9253928999615 / 5290.8519154999685 [-2.72%]

There are no differences in images found by testdiff.
(0044609)
git (administrator)
2015-08-25 15:40

Branch CR26498 has been updated by mkv.

SHA-1: 167bef4308c257b9a8ceb38c4012ca264f2be4d9


Detailed log of new commits:

Author: mkv
Date: Tue Aug 25 15:40:07 2015 +0300

    Test case for issue CR26498

(0044610)
mkv (tester)
2015-08-25 15:41

Dear isn,
could you please review following test case
bugs modalg_6 bug26498
(0044671)
isn (developer)
2015-08-26 16:02

reviewed
(0044672)
mkv (tester)
2015-08-26 16:09

Dear BugMaster,
Branch CR26498 is TESTED.
(0045526)
abv (manager)
2015-09-11 17:50

Function CheckSmallParamOnEdge() must have been made static!
(0053246)
git (administrator)
2016-04-17 14:55

Branch CR26498 has been deleted by kgv.

SHA-1: 167bef4308c257b9a8ceb38c4012ca264f2be4d9

- Related Changesets
occt: master 7642e2d0
Timestamp: 2015-08-27 10:52:14
Author: isn
Committer: ski
Details ] Diff ]
0026498: BRepOffsetAPI_MakeOffset causes segmentation fault

Test case for issue CR26498
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26498 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-30 10:35 mat127 New Issue
2015-07-30 10:35 mat127 Assigned To => msv
2015-07-30 10:35 mat127 File Added: original.brep
2015-07-30 12:33 msv Note Added: 0043696
2015-07-30 12:33 msv Assigned To msv => isn
2015-07-30 12:33 msv Status new => assigned
2015-07-30 12:33 msv Target Version => 7.1.0
2015-07-30 12:33 msv Steps to Reproduce Updated View Revisions
2015-07-30 12:35 msv Priority normal => low
2015-07-30 12:35 msv Severity crash => minor
2015-08-10 17:57 git Note Added: 0043950
2015-08-10 17:57 isn Assigned To isn => jgv
2015-08-10 17:58 isn Status assigned => feedback
2015-08-24 18:05 isn Status feedback => resolved
2015-08-24 18:05 isn Note Added: 0044568
2015-08-24 18:10 jgv Note Added: 0044569
2015-08-24 18:10 jgv Assigned To jgv => bugmaster
2015-08-24 18:10 jgv Status resolved => reviewed
2015-08-24 18:13 mkv Assigned To bugmaster => mkv
2015-08-24 18:33 git Note Added: 0044572
2015-08-25 15:14 mkv Note Added: 0044603
2015-08-25 15:14 mkv Note Added: 0044604
2015-08-25 15:40 git Note Added: 0044609
2015-08-25 15:41 mkv Note Added: 0044610
2015-08-25 15:41 mkv Assigned To mkv => isn
2015-08-25 15:41 mkv Status reviewed => feedback
2015-08-25 15:41 mkv Test case number => bugs modalg_6 bug26498
2015-08-26 16:02 isn Note Added: 0044671
2015-08-26 16:02 isn Assigned To isn => mkv
2015-08-26 16:02 isn Status feedback => assigned
2015-08-26 16:09 mkv Note Added: 0044672
2015-08-26 16:09 mkv Assigned To mkv => bugmaster
2015-08-26 16:09 mkv Status assigned => feedback
2015-08-26 16:09 mkv Status feedback => tested
2015-08-28 11:44 ski Changeset attached => occt master 7642e2d0
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-09-11 17:50 abv Target Version 7.1.0 => 6.9.1
2015-09-11 17:50 abv Note Added: 0045526
2015-10-16 14:55 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1
2016-04-17 14:55 git Note Added: 0053246


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker